Get

  • GET
  • /workspaces
  • /:workspace
  • /webhooks
  • /:webhook_id

Get a specific webhook by ID

Request

REQUIRED SCOPES
WEBHOOK_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

webhook_idrequiredinteger
The ID of the webhook

Example: 123

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the webhook
target_urlstring
The URL to which the payload will be sent
namestring
The name of the webhook
secret_keystring
The value sent in the payload required by the webservice to validate the request
projectsstring[]
The array of project name IDs from which webhooks will be executed
eventsstring[]
Set of events that trigger the webhook

Constraints: Unique items required

requestsWebhookRequestView[]
Collection of recent webhook requests

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/webhooks/:webhook_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/webhooks/244", "html_url": "https://app.buddy.works/my-company/-/workspace/integrations/244", "id": 244, "target_url": "https://dupal.free.beeceptor.com", "secret_key": "tarzan", "name": "my webhook", "projects": [ "visual-test-example-project" ], "events": [ "EXECUTION_STARTED", "EXECUTION_SUCCESSFUL", "EXECUTION_FAILED", "EXECUTION_FINISHED", "PUSH" ], "requests": [ { "post_date": "2025-09-25T05:07:12Z", "response_status": 200, "body": "<webhook payload json here>" }, { "post_date": "2025-09-25T05:07:02Z", "response_status": 200, "body": "<webhook payload json here>" } ] }
STATUS
200 OK